cancelar
Mostrando resultados para 
Pesquisar então 
Você quer dizer: 
Nota para problemas comuns em Impressoras
Se você está com problemas de IMPRESSORA EM ESTADO DE ERRO, confira o tópico: Impressora exibe mensagem de estado de erro.
Estudante com Louvor
Estudante com Louvor
2 1 0 0
Mensagem 1 de 3
366 Exibições
Reportar Mensagem

Configuração wifi via linux (hplip-3.20.9.run)....

HP Smart Tank 517
Linux

Estou tentando configurar uma HP Smart Tank 517 com o "hplip-3.20.9.run", porém, após a instalação e identificação da impressora, é exibida uma mensagem "Device is busy, powered down, or unplugged", porém, a impressora está plugada e é identificada normalmente pelo gerenciador nativo do linux (cups). 

Então, se eu remover as impressoras e o HPLIP, sem o HPLIP consigo imprimir normalmente, só não consigo configurar a rede.

Instalei o HPLIP e, ao rodar o comando "hp-wificonfig", resulta a seguinte mensagem no terminal:

-----------------------------------------------------------------------------------------------------------------------

elvio@pc-elvio-mint20:~$ hp-wificonfig

HP Linux Imaging and Printing System (ver. 3.20.9)
Wifi Configuration Utility ver. 1.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

qt5ct: using qt5ct plugin
Searching on USB bus...
GET /IoMgmt/Adapters HTTP/1.1
Host: localhost
User-Agent: hplip/3.0
Content-Type: text/xml; charset=utf-8
Content-Length: 0


error: Channel write error
Traceback (most recent call last):
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 274, in showNetworkPage
adaptor_list = self.wifiObj.getWifiAdaptorID(self.dev)
File "/usr/share/hplip/base/LedmWifi.py", line 97, in getWifiAdaptorID
ret = getAdaptorList(dev)
File "/usr/share/hplip/base/LedmWifi.py", line 60, in getAdaptorList
paramsList,code = readXmlTagDataFromURI(dev,URI,'<io:Adapters', '<io:Adapter>')
File "/usr/share/hplip/base/LedmWifi.py", line 499, in readXmlTagDataFromURI
dev.writeMarvell_EWS(data)
File "/usr/share/hplip/base/device.py", line 2232, in writeMarvell_EWS
return self.__writeChannel(self.openMarvell_EWS, data)
File "/usr/share/hplip/base/device.py", line 2262, in __writeChannel
raise Error(ERROR_DEVICE_IO_ERROR)
base.g.Error: ('Device I/O error', 12)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 719, in NextButton_clicked
self.showNetworkPage()
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 276, in showNetworkPage
self.showIOError(e)
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 843, in showIOError
FailureUI(self, self.__tr("<b>An I/O error occurred.</b><p>Please check the USB connection to your printer and try again.</p>(%s)" % str(e[0])))
TypeError: 'Error' object is not subscriptable
Error in sys.excepthook:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] Arquivo ou diretório não encontrado: '/var/crash/_usr_share_hplip_wificonfig.py.1000.crash'

Original exception was:
Traceback (most recent call last):
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 274, in showNetworkPage
adaptor_list = self.wifiObj.getWifiAdaptorID(self.dev)
File "/usr/share/hplip/base/LedmWifi.py", line 97, in getWifiAdaptorID
ret = getAdaptorList(dev)
File "/usr/share/hplip/base/LedmWifi.py", line 60, in getAdaptorList
paramsList,code = readXmlTagDataFromURI(dev,URI,'<io:Adapters', '<io:Adapter>')
File "/usr/share/hplip/base/LedmWifi.py", line 499, in readXmlTagDataFromURI
dev.writeMarvell_EWS(data)
File "/usr/share/hplip/base/device.py", line 2232, in writeMarvell_EWS
return self.__writeChannel(self.openMarvell_EWS, data)
File "/usr/share/hplip/base/device.py", line 2262, in __writeChannel
raise Error(ERROR_DEVICE_IO_ERROR)
base.g.Error: ('Device I/O error', 12)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 719, in NextButton_clicked
self.showNetworkPage()
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 276, in showNetworkPage
self.showIOError(e)
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 843, in showIOError
FailureUI(self, self.__tr("<b>An I/O error occurred.</b><p>Please check the USB connection to your printer and try again.</p>(%s)" % str(e[0])))
TypeError: 'Error' object is not subscriptable

 

-----------------------------------------------------------------------------------------------------------------------

 

Então, para solucionar, instalei uma máquina virtual com Windows 7 Pro, permiti acesso direto as portas USB, instalei o driver para windows e todo pacote de software, então consegui configurar  a impressora na minha rede wifi.

Em outro equipamento com linux, consegui identificar/instalar a impressora corretamente.

 

Meu sistema operacional (tanto na máquina  me que a impressora está conectada via USB quanto no note que acesso vi wifi) eu tenho o sistema operacional Linux Mint 20 Cinnamon 64bits com Kernel 5.4.0-54.

 

Seria alguma incompatibilidade do HPLIP com meu sistema operacional ou algum bug?

 

2 RESPOSTAS 2
Reitor Reitor
Reitor
30440 29844 6320 8469
Mensagem 2 de 3
Reportar Mensagem

Configuração wifi via linux (hplip-3.20.9.run)....

Olá @elviolmp , bom dia amigo !

 

De acordo com o link abaixo, essa versão do Mint é compatível:

https://developers.hp.com/hp-linux-imaging-and-printing/downloads

Linux Mint (117, 17.1, 17.2, 17.3, 18, 18.1, 18.2, 18.3, 19, 19.1,19.2,19.3,20)

 

Veja se derrepente com uma versão anterior do HPLIP funciona:

https://sourceforge.net/projects/hplip/files/hplip/

 

Espero que lhe ajude !

👍

 

Gostaria de lhe pedir um favor...

Se a dúvida foi esclarecida, marque minha resposta como "solucionado" para que outras pessoas com a mesma dúvida vejam e esclareçam rapidamente.
E clique no "jóinha" para oferecer "kudos" em agradecimento.

Lhe desejo uma excelente semana !

"Sou um Voluntário aqui no Fórum HP"

 


Se esta resposta foi útil e te ajudou a resolver o problema, por favor, clique no botão assim poderá ajudar outros usuários. E clique no botão para agradecer a ajuda.


Responder
0 Kudos
Estudante com Louvor
Autor
Estudante com Louvor
2 1 0 0
Mensagem 3 de 3
Reportar Mensagem

Configuração wifi via linux (hplip-3.20.9.run)....

Demorei... mas consegui analisar....

 

Bem, tentei instalar a versão hplip-3.20.6.run, porém, como existe a possibilidade de instalar bibliotecas antigas e a mensagem de que não é compatível com a versão do Linux Mint 20, não prossegui para evitar erros no ambiente de produção.

 

Então, baixei a versão mais recente, hplip-3.20.11.run de 2020-12-01, e segue a mesma situação: 

No HP Status Service:

Status:
Device is busy, powered down, or unplugged
code: 5002

 

Ao acessar o device manager para ajustar conexão e senha de wifi, com o terminal aberto, recebo a seguinte mensagem:

-------------

Searching on USB bus...
GET /IoMgmt/Adapters HTTP/1.1
Host: localhost
User-Agent: hplip/3.0
Content-Type: text/xml; charset=utf-8
Content-Length: 0


error: Channel write error
Traceback (most recent call last):
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 274, in showNetworkPage
adaptor_list = self.wifiObj.getWifiAdaptorID(self.dev)
File "/usr/share/hplip/base/LedmWifi.py", line 97, in getWifiAdaptorID
ret = getAdaptorList(dev)
File "/usr/share/hplip/base/LedmWifi.py", line 60, in getAdaptorList
paramsList,code = readXmlTagDataFromURI(dev,URI,'<io:Adapters', '<io:Adapter>')
File "/usr/share/hplip/base/LedmWifi.py", line 499, in readXmlTagDataFromURI
dev.writeMarvell_EWS(data)
File "/usr/share/hplip/base/device.py", line 2232, in writeMarvell_EWS
return self.__writeChannel(self.openMarvell_EWS, data)
File "/usr/share/hplip/base/device.py", line 2262, in __writeChannel
raise Error(ERROR_DEVICE_IO_ERROR)
base.g.Error: ('Device I/O error', 12)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 719, in NextButton_clicked
self.showNetworkPage()
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 276, in showNetworkPage
self.showIOError(e)
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 843, in showIOError
FailureUI(self, self.__tr("<b>An I/O error occurred.</b><p>Please check the USB connection to your printer and try again.</p>(%s)" % str(e[0])))
TypeError: 'Error' object is not subscriptable
Error in sys.excepthook:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] Arquivo ou diretório não encontrado: '/var/crash/_usr_share_hplip_setup.py.1000.crash'

Original exception was:
Traceback (most recent call last):
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 274, in showNetworkPage
adaptor_list = self.wifiObj.getWifiAdaptorID(self.dev)
File "/usr/share/hplip/base/LedmWifi.py", line 97, in getWifiAdaptorID
ret = getAdaptorList(dev)
File "/usr/share/hplip/base/LedmWifi.py", line 60, in getAdaptorList
paramsList,code = readXmlTagDataFromURI(dev,URI,'<io:Adapters', '<io:Adapter>')
File "/usr/share/hplip/base/LedmWifi.py", line 499, in readXmlTagDataFromURI
dev.writeMarvell_EWS(data)
File "/usr/share/hplip/base/device.py", line 2232, in writeMarvell_EWS
return self.__writeChannel(self.openMarvell_EWS, data)
File "/usr/share/hplip/base/device.py", line 2262, in __writeChannel
raise Error(ERROR_DEVICE_IO_ERROR)
base.g.Error: ('Device I/O error', 12)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 719, in NextButton_clicked
self.showNetworkPage()
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 276, in showNetworkPage
self.showIOError(e)
File "/usr/share/hplip/ui5/wifisetupdialog.py", line 843, in showIOError
FailureUI(self, self.__tr("<b>An I/O error occurred.</b><p>Please check the USB connection to your printer and try again.</p>(%s)" % str(e[0])))
TypeError: 'Error' object is not subscriptable

--------------

 

Bem, tanto com o hplip instalado quando sem, o Linux Mint 20 detectou e imprimiu normalmente. 

 

As configurações wifi, via máquina virtual, acessando a porta USB e Windows 7 instalado, consegui configurar e está ok nas demais máquinas com Linux Mint 20 (3 notebooks).

 

Talvez, com esse log para os desenvolvedores, eles consigam achar algum caminho para solução.

 

Então, por enquanto, para te dar retorno, essa é a situação.

 

Grato pela atenção.

 

Responder
0 Kudos
Nota para problemas comuns em Impressoras
Se você está com problemas de IMPRESSORA EM ESTADO DE ERRO, confira o tópico: Impressora exibe mensagem de estado de erro.
† As opiniões expressas acima são de responsabilidade exclusiva de seus autores, e não da HP. Utilizar este site significa aceitar os termos de uso e as Regras de Participação